# Uses of Interface
jdk.dynalink.linker.TypeBasedGuardingDynamicLinker

Packages that use TypeBasedGuardingDynamicLinker
Package
Description
jdk.dynalink.beans
Contains the linker for ordinary Java objects.
jdk.dynalink.linker.support
Contains classes that make it more convenient for language runtimes to implement their own language-specific object models and type conversions by providing basic implementations of some classes as well as various utilities.

## Uses of TypeBasedGuardingDynamicLinker in jdk.dynalink.beans

Methods in jdk.dynalink.beans that return TypeBasedGuardingDynamicLinker
Modifier and Type
Method
Description
`TypeBasedGuardingDynamicLinker`
BeansLinker.`getLinkerForClass​(Class<?> clazz)`
Returns a bean linker for a particular single class.

## Uses of TypeBasedGuardingDynamicLinker in jdk.dynalink.linker.support

Classes in jdk.dynalink.linker.support that implement TypeBasedGuardingDynamicLinker
Modifier and Type
Class
Description
`class`
`CompositeTypeBasedGuardingDynamicLinker`
A composite type-based guarding dynamic linker.
Constructor parameters in jdk.dynalink.linker.support with type arguments of type TypeBasedGuardingDynamicLinker
Modifier
Constructor
Description
``
`CompositeTypeBasedGuardingDynamicLinker​(Iterable<? extends TypeBasedGuardingDynamicLinker> linkers)`
Creates a new composite type-based linker.